--[[
LuCI - Lua Configuration Interface

Copyright 2009 Frederic Pecourt

$Id: nfs.lua 3986 2009-01-02 21:33:10Z Cyrus $
]]--

module("luci.controller.nfs", package.seeall)

function index()
   
	if not nixio.fs.access("/etc/config/nfs") then
		return
	end

	require("luci.i18n")
	luci.i18n.loadc("nfs")
	
	local page = entry({"admin", "services", "nfs"}, cbi("nfs"), luci.i18n.translate("NFS Server"))
	page.i18n = "nfs"
	page.dependent = true
end
