--[[
LuCI - Lua Configuration Interface

Copyright 2009 Frederic Pecourt

$Id: nfs.lua 3986 2009-01-02 21:33:10Z Cyrus $
]]--

module("luci.controller.rsync", package.seeall)

function index()
	if not nixio.fs.access("/etc/config/rsync") then
		return
	end
	require("luci.i18n")
	luci.i18n.loadc("rsync")
	
	local page = entry({"admin", "services", "rsync"}, cbi("rsync"), luci.i18n.translate("Rsync Server"),60)
	page.i18n = "rsync"
	page.dependent = true
end
