--[[
LuCI - Lua Configuration Interface

Copyright 2009 Frederic Pecourt

$Id: xinetd.lua 3972 2009-01-01 13:32:57Z Cyrus $
]]--

m = Map("xinetd","Xinetd daemon")
s = m:section(TypedSection, "server", translate("Server"))
s:option(Flag, "enabled", translate("Enabled"))
s = m:section(TypedSection, "service", translate("Service"))
s.anonymous = true
s.addremove = true
s.template = "cbi/tblsection"
s.sortable = true
s:option(Flag, "enabled", translate("Enabled"))
s:option(Value, "name", translate("Name")).size=6
t = s:option(ListValue, "sockettype", translate("Sockettype"))
t:value("stream")
t:value("dgram")
t:value("raw")
t:value("segpacket")
t.default = "stream"
s:option(Value, "protocol", translate("Protocol")).size=3
s:option(Value, "port", translate("Port")).size=3
t = s:option(ListValue, "wait", translate("Wait"))
t:value("no")
t:value("yes")
t.default = "no"
s:option(Value, "user", translate("User")).size=4
s:option(Value, "passenv", translate("Passenv")).size=5
s:option(Value, "server", translate("Server")).size=10
s:option(Value, "serverargs", translate("Args")).size=15

return m
