#!/bin/sh
#
# Copyright (C) 2009 OpenWrt.org
# Frederic Pecourt 2011
#

gemini_board_name() {
	local machine
	local name

#	machine=$(sed -n "s/^Hardware.*: \(.*\)/\1/p" /proc/cpuinfo)
	machine=$(awk 'BEGIN{FS="[ \t]+:[ \t]"} /Hardware/ {print $2}' /proc/cpuinfo)
	case "$machine" in
	*"MZKNAS")
		name="mzknas"
		;;
	*"MVIXBOX")
		name="mvixbox"
		;;
	*"IB-NAS4220-B")
		name="nas4220"
		;;
	*)
		name="generic"
		;;
	esac

	echo $name
}
