--[[
LuCI - Lua Configuration Interface

Copyright 2009 Frederic Pecourt

$Id: xinetd.lua 3986 2009-01-02 21:33:10Z Cyrus $
]]--

module("luci.controller.xinetd", package.seeall)

function index()
   
	if not nixio.fs.access("/etc/config/xinetd") then
		return
	end

	require("luci.i18n")
	luci.i18n.loadc("xinetd")
	
	local page = entry({"admin", "services", "xinetd"}, cbi("xinetd"), luci.i18n.translate("Xinetd Service"))
	page.i18n = "xinetd"
	page.dependent = true
end
